summaryrefslogtreecommitdiff
path: root/debian/openssh-known-hosts.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/openssh-known-hosts.postinst')
-rw-r--r--debian/openssh-known-hosts.postinst50
1 files changed, 50 insertions, 0 deletions
diff --git a/debian/openssh-known-hosts.postinst b/debian/openssh-known-hosts.postinst
new file mode 100644
index 0000000..5284c01
--- /dev/null
+++ b/debian/openssh-known-hosts.postinst
@@ -0,0 +1,50 @@
+#!/bin/sh
+# postinst script for openssh-known-hosts
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+
+mkdir -p /usr/local/share/openssh-known-hosts/plugins
+
+[ -e /etc/ssh/ssh_known_hosts ] || ln -s /var/lib/openssh-known-hosts/ssh_known_hosts /etc/ssh/ssh_known_hosts
+if [ "`readlink /etc/ssh/ssh_known_hosts`" != /var/lib/openssh-known-hosts/ssh_known_hosts ]; then
+ echo "/etc/ssh/ssh_known_hosts already exists, please set up the link to"
+ echo "/var/lib/openssh-known-hosts/ssh_known_hosts yourself."
+fi
+
+exit 0
+
+